import { postUrl } from '../../../utils/util';
import { apiArr } from '../../../api/user';

Page({

  /**
   * 页面的初始数据
   */
  data: {
    checked: 'a',
    tabs: {
      all: '可使用',
      state1: '已使用',
      state2: '不可用',
    },
    allCouponList: [
      {
        price: 50,
        priceDesc: '300',
        time: '2014.02.1 - 2022.01.31',
        state: 'usable'
      },
      {
        price: 10,
        priceDesc: '100',
        time: '2024.02.1 - 2026.07.07',
        state: 'used'
      },
      {
        price: 30,
        priceDesc: '2000',
        time: '2022.02.1 - 2023.01.31',
        state: 'no'
      },
      {
        price: 80,
        priceDesc: '1000',
        time: '2018.02.1 - 2020.01.31',
        state: 'no'
      },
    ],
    couponList: [], //渲染优惠券list
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({ couponList: this.data.allCouponList });
    this.init();
  },

  init() {
    postUrl(apiArr.couponList, {
      del_flag: 0,
      page_num: 1,
      page_size: 10,
    }, res => {
      console.log('获取优惠券列表', res);
      this.setData({
        couponList: res.rows || []
      })
    })
  },

  onChange(event) {
    console.log('aaaassada', event);
    const { name } = event.detail;
    const { allCouponList } = this.data;
    const newCouponList = allCouponList.filter((item) => item.state === name);
    console.log('newaaa', newCouponList);
    this.setData({
      checked: name,
      couponList: newCouponList,
    });
  },





  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})